Bug 24199 - t/Auth_with_shibboleth.t is failing randomly
Summary: t/Auth_with_shibboleth.t is failing randomly
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 23042
Blocks: 25551
  Show dependency treegraph
 
Reported: 2019-12-10 10:25 UTC by Jonathan Druart
Modified: 2020-05-20 12:26 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01, 19.05.06, 18.11.12


Attachments
Bug 24199: (bug 23042 follow-up) Prevent t/Auth_with_shibboleth.t to fail randomly (1.24 KB, patch)
2019-12-10 10:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jonathan Druart 2019-12-10 10:26:47 UTC
Created attachment 96138 [details] [review]
Bug 24199: (bug 23042 follow-up) Prevent t/Auth_with_shibboleth.t to fail randomly

CGI->url_param does not always return the parameters in the same order.

Test plan:
0/ Recreate the random failure, does not apply the patch and run
t/Auth_with_shibboleth.t several times.
You will notice that it fails inconsistenly
1/ Apply the patch and confirm that it now passes 100% of the time
Comment 2 Martin Renvoize 2019-12-10 10:42:24 UTC
Thanks Jonathan.. that's the fix I was literally just testing locally as an RM followup.. Passing QA
Comment 3 Martin Renvoize 2019-12-10 10:43:49 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 4 Joy Nelson 2019-12-16 21:41:27 UTC
Pushed to 19.11.01
Comment 5 Lucas Gass 2019-12-16 21:50:31 UTC
backported to 19.05.x for 19.05.06
Comment 6 Hayley Mapley 2019-12-17 01:16:01 UTC
Backported to 18.11.x for 18.11.12